Bug 1301369 - Canon Pixma MG7750 scanner detected but not available [NEEDINFO]
Canon Pixma MG7750 scanner detected but not available
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 10:26 EST by Mikkel Lauritsen
Modified: 2017-08-08 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:42:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nphilipp: needinfo? (renard)


Attachments (Terms of Use)

  None (edit)
Description Mikkel Lauritsen 2016-01-24 10:26:15 EST
sane-backends-1.0.25-1 on Fedora 23 x86_64.

As shown in the debug dump below a networked PIXMA MG7750 scanner is apparently detected

[bjnp] get_scanner_id: Scanner identity string = MFG:Canon;CMD:MultiPass 2.1,IVEC;MDL:MG7700 series;CLS:IMAGE;DES:Canon MG7700 series;SOJ:BJNP2,BJNPe; - length = 101
[bjnp] get_scanner_id: Scanner model = MG7700 series
[bjnp] add_scanner: New scanner at bjnp://192.168.1.113:8612 added!

but it's not available to sane or xsane, which corresponds with

[pixma] pixma_find_scanners() found 0 devices

The scanners listed are the built-in camera and a previously added scanner of a different make and model.

Running as root or as normal user makes no difference. 
The firewall has been turned off.
Manually adding scanner in /etc/sane.d/pixma.conf makes no difference.
The IP address of the wlp2s0 interface is 192.168.1.106, on the same subnet as the scanner.

---

[ml@laptop sane.d]$ SANE_DEBUG_PIXMA=3 SANE_DEBUG_BJNP=10 scanimage -L
[sanei_debug] Setting debug level of pixma to 3.
[pixma] pixma is compiled with pthread support.
[pixma] pixma version 0.17.23
[sanei_debug] Setting debug level of bjnp to 10.
[bjnp] sanei_bjnp_find_devices, pixma backend version: 0.17.23
[bjnp] sanei_bjnp_find_devices: No devices specified in configuration file.
[bjnp] sanei_bjnp_find_devices: Added all configured scanners, now do auto detection...
[bjnp] prepare_socket: lo is not a valid IPv4 interface, skipping...
[bjnp] prepare_socket: wlp2s0 is IPv4 capable, sending broadcast, socket = 9
[bjnp] prepare_socket: virbr0 is IPv4 capable, sending broadcast, socket = 10
[bjnp] prepare_socket: lo is not a valid IPv6 interface, skipping...
[bjnp] prepare_socket: wlp2s0 is IPv6 capable, sending broadcast, socket = 11
[bjnp] sanei_bjnp_find_devices: Select returned, time left 0.438142....
[bjnp] sanei_find_devices: Discover response:
[bjnp]  00000000:42 4a 4e 50 82 01 00 00  00 00 00 00 00 00 00 10 
[bjnp]  00000010:00 01 08 00 06 04 d8 49  2f f1 68 ad c0 a8 01 71 
[bjnp] get_scanner_name: Name for 192.168.1.113 not found : Name or service not known
[bjnp] bjnp_allocate_device(bjnp://192.168.1.113:8612) 0
[bjnp] get_scanner_name: Name for 192.168.1.113 not found : Name or service not known
[bjnp] setup_udp_socket: Setting up a UDP socket, dest: 192.168.1.113  port 8612
[bjnp] bjnp_get_scanner_mac_address: Discover response:
[bjnp]  00000000:42 4a 4e 50 82 01 00 00  00 00 00 00 00 00 00 10 
[bjnp]  00000010:00 01 08 00 06 04 d8 49  2f f1 68 ad c0 a8 01 71 
[bjnp] bjnp_allocate_device: Scanner not yet in our list, added it: 192.168.1.113:8612
[bjnp] get_scanner_id: Get scanner identity
[bjnp]  00000000:42 4a 4e 50 02 30 00 00  00 01 00 00 00 00 00 00 
[bjnp] setup_udp_socket: Setting up a UDP socket, dest: 192.168.1.113  port 8612
[bjnp] get_scanner_id: scanner identity:
[bjnp]  00000000:42 4a 4e 50 82 30 00 00  00 01 00 00 00 00 00 67 
[bjnp]  00000010:00 67 4d 46 47 3a 43 61  6e 6f 6e 3b 43 4d 44 3a 
[bjnp]  00000020:4d 75 6c 74 69 50 61 73  73 20 32 2e 31 2c 49 56 
[bjnp]  00000030:45 43 3b 4d 44 4c 3a 4d  47 37 37 30 30 20 73 65 
[bjnp]  00000040:72 69 65 73 3b 43 4c 53  3a 49 4d 41 47 45 3b 44 
[bjnp]  00000050:45 53 3a 43 61 6e 6f 6e  20 4d 47 37 37 30 30 20 
[bjnp]  00000060:73 65 72 69 65 73 3b 53  4f 4a 3a 42 4a 4e 50 32 
[bjnp]  00000070:2c 42 4a 4e 50 65 3b 
[bjnp] get_scanner_id: Scanner identity string = MFG:Canon;CMD:MultiPass 2.1,IVEC;MDL:MG7700 series;CLS:IMAGE;DES:Canon MG7700 series;SOJ:BJNP2,BJNPe; - length = 101
[bjnp] get_scanner_id: Scanner model = MG7700 series
[bjnp] add_scanner: New scanner at bjnp://192.168.1.113:8612 added!
[bjnp] sanei_bjnp_find_devices: Select returned, time left 0.499995....
[bjnp] sanei_find_devices: Discover response:
[bjnp]  00000000:42 4a 4e 50 82 01 00 00  00 00 00 00 00 00 00 10 
[bjnp]  00000010:00 01 08 00 06 04 d8 49  2f f1 68 ad c0 a8 01 71 
[bjnp] get_scanner_name: Name for 192.168.1.113 not found : Name or service not known
[bjnp] bjnp_allocate_device(bjnp://192.168.1.113:8612) 1
[bjnp] get_scanner_name: Name for 192.168.1.113 not found : Name or service not known
[bjnp] setup_udp_socket: Setting up a UDP socket, dest: 192.168.1.113  port 8612
[bjnp] bjnp_get_scanner_mac_address: Discover response:
[bjnp]  00000000:42 4a 4e 50 82 01 00 00  00 00 00 00 00 00 00 10 
[bjnp]  00000010:00 01 08 00 06 04 d8 49  2f f1 68 ad c0 a8 01 71 
[bjnp] add_scanner: Scanner at bjnp://192.168.1.113:8612 was added before, good!
[bjnp] sanei_find_devices: scanner discovery finished...
[pixma] pixma_find_scanners() found 0 devices
device `v4l:/dev/video0' is a Noname BisonCam, NB Pro virtual device
device `hpaio:/net/HP_LaserJet_400_colorMFP_M475dw?ip=192.168.0.7' is a Hewlett-Packard HP_LaserJet_400_colorMFP_M475dw all-in-one
Comment 1 Mikkel Lauritsen 2016-07-12 05:14:31 EDT
In F24 the behavior is exactly the same - the scanner is detected but not available.
Comment 2 Nils Philippsen 2016-07-29 13:32:03 EDT
Sorry for the late response, that it is detected on the BJNP layer is not surprising -- it's the networking layer with which the driver talks to the scanner before even establishing what exact model it is. I've cross-checked the list of supported devices for SANE:

Stable Version: http://www.sane-project.org/sane-mfgs.html#Z-CANON
Development Version: http://www.sane-project.org/lists/sane-mfgs-cvs.html#Z-CANON

Neither of which list the MG7750 model, but the development version has support for the MG7700 series now (over the stable version). Can you build the development version from the git repository and check if it works for you?
Comment 3 Mikkel Lauritsen 2016-07-30 10:22:37 EDT
Will do - many thanks for your response. I've built the SANE backends but I'm not familiar with how they're packaged on Fedora, so do you happen to have a suggestion for how to (relatively) simply temporarily replace the default version with the newly built one?
Comment 4 Nils Philippsen 2016-10-14 11:40:28 EDT
Oops, dropped that one, sorry. You can build the libraries into a private prefix, e.g. mine installs into $HOME/opt/sane-backends-master, then set LD_LIBRARY_PATH to include that prefix + /lib, or prefix + /lib64 (depending on where it exactly installs the libraries).

Does that answer your question?
Comment 5 Nils Philippsen 2016-12-20 08:55:48 EST
Mikkel, have you had a chance to try hwat I described in comment #2 and comment #4?
Comment 6 Fedora End Of Life 2017-07-25 15:50:34 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:42:11 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.